### Function

# Fwupd keyring_kind_from_string

since: 0.9.7

#### Declaration [src]

    FwupdKeyringKind
    fwupd_keyring_kind_from_string (
      const gchar* keyring_kind
    )

#### Description [src]

Converts an printable string to an enumerated keyring kind.

Available since: 0.9.7

#### Parameters

`keyring_kind`

  Type: `const gchar*`

  A string, e.g. `gpg`

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FwupdKeyringKind`

Keyring kind, e.g. `FWUPD_KEYRING_KIND_GPG`.